#!/bin/sh 

# This will run rivet throguh fifo file and create and aida in the LPCC directory

name=lhcb
NOE=20000
LPCC=/afs/cern.ch/work/s/ssen/lpcc/LHCb_Rivet

WORK=/afs/cern.ch/work/s/ssen/sw/pythia8/167/examples
CARD=$WORK/cards
TMP=/tmp/ssen

HOME=/afs/cern.ch/user/s/ssen
source $HOME/rivetenv.sh

rm -rf $TMP/${name}.fifo
mkfifo $TMP/${name}.fifo
cd $WORK
./main42.exe $CARD/MinBias.cmnd $TMP/${name}.fifo &

cd $LPCC
rm -rf RivetLHCB_2011_NEW.so
export RIVET_ANALYSIS_PATH=$PWD
rivet-buildplugin RivetLHCB_2011_NEW.so LHCB_2011_NEW.cc
rivet -n ${NOE} -a LHCB_2011_NEW $TMP/${name}.fifo -H ${name}.aida #-l Rivet.Analysis=DEBUG #-l Rivet.Analysis=INFO
